/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : lun nov 25 03:17:59 UTC 2002
    copyright            : (C) 2002 by Francesco Mezzanotte
    email                : francesco.mezzanotte@inwind.it
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kapp.h>
#include "kmediagrab.h"

static const char *description =
	I18N_NOOP("Kmediagrab");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "kmediagrab", I18N_NOOP("Kmediagrab"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2002, Francesco Mezzanotte", 0, 0, "francesco.mezzanotte@inwind.it");
  aboutData.addAuthor("Francesco Mezzanotte",0, "francesco.mezzanotte@inwind.it");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  KMediaGrab* kmediagrab = new KMediaGrab();
  a.setMainWidget(kmediagrab);
  kmediagrab->show();  

  return a.exec();
}
